curl --request POST \
--url https://sisbajud.sandbox.lerian.net/institutions/{institutionId}/lgpd/requests/{id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decision": "fulfilled",
"decisionReason": "Records delivered via secure channel.",
"deliveryRef": "DEL-2026-0007",
"recordsAffected": 42,
"recordsEliminated": 12,
"recordsRetained": 30,
"tokensGenerated": 12
}
'import requests
url = "https://sisbajud.sandbox.lerian.net/institutions/{institutionId}/lgpd/requests/{id}/resolve"
payload = {
"decision": "fulfilled",
"decisionReason": "Records delivered via secure channel.",
"deliveryRef": "DEL-2026-0007",
"recordsAffected": 42,
"recordsEliminated": 12,
"recordsRetained": 30,
"tokensGenerated": 12
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
decision: 'fulfilled',
decisionReason: 'Records delivered via secure channel.',
deliveryRef: 'DEL-2026-0007',
recordsAffected: 42,
recordsEliminated: 12,
recordsRetained: 30,
tokensGenerated: 12
})
};
fetch('https://sisbajud.sandbox.lerian.net/institutions/{institutionId}/lgpd/requests/{id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "11111111-1111-1111-1111-111111111111"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Registrar la resolución de una solicitud LGPD
Registra la decisión (fulfilled, refused, partial) para una solicitud LGPD existente. Una solicitud no encontrada se mapea a 404; una solicitud ya resuelta (terminal) se mapea a 409; una decisión de borrado establecida vía resolve se mapea a 422 (la ejecución del borrado debe originarse en /erase).
Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de ruta
The institution's unique identifier (UUID) the LGPD request is scoped to.
"44444444-4444-4444-4444-444444444444"
The LGPD request id to resolve.
"11111111-1111-1111-1111-111111111111"
Cuerpo
The resolution decision (e.g. fulfilled, refused, partial).
"fulfilled"
Optional human-readable reason for the decision.
"Records delivered via secure channel."
Optional delivery reference for the exported data.
"DEL-2026-0007"
Optional count of records affected by the decision.
42
Optional count of records eliminated (erasure decisions).
12
Optional count of records retained.
30
Optional count of new tokens generated during the resolution.
12
Respuesta
OK
The resolved LGPD request id.
"11111111-1111-1111-1111-111111111111"
¿Esta página le ayudó?

